export declare class UrlUtils {
    static isRemoteUrl(url: string): boolean;
    static isEncodedData(url: string): boolean;
    static isSvg(url: string): boolean;
    static isXml(url: string): boolean;
    static isDeepLink(url: string): boolean;
    static isRelativeUrl(url: string): boolean;
    static composeUrl(base: string, path: string): string;
    static toAbsolute(url: string, host: string): string;
}
