import * as React from 'react';
import { ViewProps } from 'react-native';
import { Dimension } from '../Shared';
import { ImageProps } from './Image';
export interface BackgroundProps extends ViewProps {
    image?: ImageProps;
}
interface BackgroundState {
    contract: Dimension;
}
export declare class Background extends React.Component<BackgroundProps, BackgroundState> {
    constructor(props: BackgroundProps);
    render(): JSX.Element;
    private renderImage;
    private onLoad;
    private onError;
    private onLayout;
}
export {};
