import * as React from 'react';
import { Dimension, ImageAlignOption } from '../Shared';
import { ImageProps } from './Image';
export interface FlexImageProps extends ImageProps {
    align: ImageAlignOption;
    contract: Dimension;
}
interface FlexImageState {
    width: number;
    height: number;
    loaded: boolean;
}
export declare class FlexImage extends React.Component<FlexImageProps, FlexImageState> {
    constructor(props: FlexImageProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: FlexImageProps): void;
    render(): JSX.Element;
    private alignImage;
    private calcImageSize;
}
export {};
