import { ImageResizeMode } from 'react-native';
import { Dimension, ImageAlignOption } from '../Shared';
export declare class LayoutUtils {
    static calcCoverSize(width: number, height: number, contract: Dimension): {
        width: number;
        height: number;
    };
    static calcFitSize(width: number, height: number, contract: Dimension): {
        width: number;
        height: number;
    };
    static calcFitVerticalSize(width: number, height: number, contract: Dimension): {
        width: number;
        height: number;
    };
    static calcFitHorizontalSize(width: number, height: number, contract: Dimension): {
        width: number;
        height: number;
    };
    static calcResizeMode(align: ImageAlignOption): ImageResizeMode;
}
